
import * as asyncHandler from 'express-async-handler'

import * as zhdyBiz from '../biz/zhdy';
import * as zhdyMsgbox1Biz from '../biz/zhdyMsgbox1';
import * as zhdyMsgbox2Biz from '../biz/zhdyMsgbox2';
import * as zhdyMsgbox3Biz from '../biz/zhdyMsgbox3';
import * as zhdyMsgbox4Biz from '../biz/zhdyMsgbox4';
import * as zhdyMsgbox5Biz from '../biz/zhdyMsgbox5';
import * as zhdyMsgbox6Biz from '../biz/zhdyMsgbox6';
import * as zhdyMsgbox7Biz from '../biz/zhdyMsgbox7';
import * as zhdyMsgbox8Biz from '../biz/zhdyMsgbox8';
import * as zhdyMsgbox9Biz from '../biz/zhdyMsgbox9';

import * as ptjcnlPageBiz from '../biz/ptjcnlPage';
import * as sfqztgkPageBiz from '../biz/sfqztgkPage';
import * as qyehPageBiz from '../biz/qyehPage';
import * as zhnyPageBiz from '../biz/zhnyPage';
import * as lsdl_cdssPageBiz from '../biz/lsdl_cdssPage';
import * as lsdl_qjnygfPageBiz from '../biz/lsdl_qjnygfPage';

import * as sjlyBiz from '../biz/sjly'
import { checkToken } from '../middleware/checkToken';

export function setRouter(httpServer){
        
    httpServer.get('/zhdy',checkToken, asyncHandler(zhdyBiz.getData));
    httpServer.get('/zhdyMsgbox1',checkToken, asyncHandler(zhdyMsgbox1Biz.getData));
    httpServer.get('/zhdyMsgbox2',checkToken, asyncHandler(zhdyMsgbox2Biz.getData));
    httpServer.get('/zhdyMsgbox3',checkToken, asyncHandler(zhdyMsgbox3Biz.getData));
    httpServer.get('/zhdyMsgbox4',checkToken, asyncHandler(zhdyMsgbox4Biz.getData));
    httpServer.get('/zhdyMsgbox5',checkToken, asyncHandler(zhdyMsgbox5Biz.getData));
    httpServer.get('/zhdyMsgbox6',checkToken, asyncHandler(zhdyMsgbox6Biz.getData));
    httpServer.get('/zhdyMsgbox7',checkToken, asyncHandler(zhdyMsgbox7Biz.getData));
    httpServer.get('/zhdyMsgbox8',checkToken, asyncHandler(zhdyMsgbox8Biz.getData));
    httpServer.get('/zhdyMsgbox9',checkToken, asyncHandler(zhdyMsgbox9Biz.getData));
    httpServer.get('/ptjcnlPage',checkToken, asyncHandler(ptjcnlPageBiz.getData));
    httpServer.get('/sfqztgkPage',checkToken, asyncHandler(sfqztgkPageBiz.getData));
    httpServer.get('/qyehPage',checkToken, asyncHandler(qyehPageBiz.getData));
    httpServer.get('/qyehxlfzlPage',checkToken, asyncHandler(qyehPageBiz.get线路负载率));
    httpServer.get('/zhnyPage',checkToken, asyncHandler(zhnyPageBiz.getData));
    httpServer.get('/lsdl_cdssPage',checkToken, asyncHandler(lsdl_cdssPageBiz.getData));
    httpServer.get('/lsdl_qjnygfPage',checkToken, asyncHandler(lsdl_qjnygfPageBiz.getData));
    httpServer.get('/sjly',checkToken, asyncHandler(sjlyBiz.getData));
        
    httpServer.post('/sjly',checkToken, asyncHandler(sjlyBiz.getData));   
    httpServer.post('/lsdl_cdssPage',checkToken, asyncHandler(lsdl_cdssPageBiz.getData));
    httpServer.post('/lsdl_qjnygfPage',checkToken, asyncHandler(lsdl_qjnygfPageBiz.getData));
    httpServer.post('/ptjcnlPage',checkToken, asyncHandler(ptjcnlPageBiz.getData));
    httpServer.post('/sfqztgkPage',checkToken, asyncHandler(sfqztgkPageBiz.getData));
    httpServer.post('/qyehPage',checkToken, asyncHandler(qyehPageBiz.getData));
    httpServer.post('/qyehxlfzlPage',checkToken, asyncHandler(qyehPageBiz.get线路负载率));
    httpServer.post('/zhnyPage',checkToken, asyncHandler(zhnyPageBiz.getData));    
    httpServer.post('/zhdy',checkToken, asyncHandler(zhdyBiz.getData));
    httpServer.post('/zhdyMsgbox1',checkToken, asyncHandler(zhdyMsgbox1Biz.getData));
    httpServer.post('/zhdyMsgbox2',checkToken, asyncHandler(zhdyMsgbox2Biz.getData));
    httpServer.post('/zhdyMsgbox3',checkToken, asyncHandler(zhdyMsgbox3Biz.getData));
    httpServer.post('/zhdyMsgbox4',checkToken, asyncHandler(zhdyMsgbox4Biz.getData));
    httpServer.post('/zhdyMsgbox5',checkToken, asyncHandler(zhdyMsgbox5Biz.getData));
    httpServer.post('/zhdyMsgbox6',checkToken, asyncHandler(zhdyMsgbox6Biz.getData));
    httpServer.post('/zhdyMsgbox7',checkToken, asyncHandler(zhdyMsgbox7Biz.getData));
    httpServer.post('/zhdyMsgbox8',checkToken, asyncHandler(zhdyMsgbox8Biz.getData));
    httpServer.post('/zhdyMsgbox9',checkToken, asyncHandler(zhdyMsgbox9Biz.getData));
}